Bug 993894 - VirtualGL possibly affected by F-20 unversioned docdir change
VirtualGL possibly affected by F-20 unversioned docdir change
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: VirtualGL (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gary Gatling
Fedora Extras Quality Assurance
http://fedoraproject.org/wiki/Changes...
:
Depends On:
Blocks: F20UnversionedDocDirs
  Show dependency treegraph
 
Reported: 2013-08-06 08:57 EDT by Ville Skyttä
Modified: 2014-10-17 14:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-10-17 14:11:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2013-08-06 08:57:53 EDT
VirtualGL was identified as a package possibly needing maintainer attention
due to the F-20 unversioned doc dir change. The identification is not
foolproof, it is basically this grep:

    grep -E "(/doc|_docdir|_defaultdocdir).+version" *.spec

Please review your package and make the appropriate changes, if any. A
good starting point is checking the lines output by the above grep for
your specfile. For the vast majority of packages, after the changes,
the expected outcome is that documentation dirs in /usr/share/doc
should no longer contain the package version.

More information and tips:
  https://fedoraproject.org/wiki/Changes/UnversionedDocdirs
  http://thread.gmane.org/gmane.linux.redhat.fedora.devel/183942/focus=183943
  http://thread.gmane.org/gmane.linux.redhat.fedora.devel/183942/focus=183973
Comment 1 Fedora Update System 2013-08-06 13:18:37 EDT
VirtualGL-2.3.2-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/VirtualGL-2.3.2-7.fc19
Comment 2 Fedora Update System 2013-08-06 13:28:34 EDT
VirtualGL-2.3.2-7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/VirtualGL-2.3.2-7.fc18
Comment 3 Ville Skyttä 2013-08-06 14:47:51 EDT
Um... why ship an update for F-18 and F-19 that does nothing except makes people download and install updates that change nothing? The docdir change affects F-20 only.
Comment 4 Gary Gatling 2013-08-06 14:50:29 EDT
Because I am new and I wasn't sure how it would work with different versions of the package in different branches. Sorry if this has caused any problems.
Comment 5 Ville Skyttä 2013-08-06 14:53:09 EDT
No harm done yet, I suggest just cancelling/deleting the F-18 and F-19 updates in the updates system (bodhi). If unsure about something, ask for help on mailing lists, IRC, or your sponsor.
Comment 6 Gary Gatling 2013-08-06 14:56:40 EDT
Ok. f18 f19 updates deleted. Sorry for the trouble.
Comment 7 Fedora End Of Life 2013-09-16 13:05:08 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Note You need to log in before you can comment on or make changes to this bug.